package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

/**
 * TABLE:bnm:
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Bnm {

    // 主键
    private String inr;

    // 参与者行号
    private String kjcyhh;

    // 参与者中文行名
    private String cyzwmc;

    // 参与者英文行名
    private String cyywmc;

    // 国别
    private String guobie;

    // 境内外标识
    private String jinwbs;

    // 参与者资格标识
    private String cyzgbs;

    // 所属资金托管行
    private String zhjtgh;

    // 法人机构识别编码
    private String frjgbm;

    // 有效标志
    private String youxbz;

    // 生效日期
    private String shexrq;

    // 办理业务状态
    private String blywzt;

    // 系统登陆状态
    private String xtdlzt;

    // 联系人姓名
    private String lixrxm;

    // 联系人电话
    private String lixrdh;

    //联系人邮件地址
    private String lixryj;

    // 联系人地址
    private String lixrdz;

    // 联系人邮编
    private String lixryb;

    // 最近更新类型
    private String zjgxlx;

    // 维护柜员
    private String weihgy;

    // 维护日期
    private String weihrq;

    // 时间戳
    private long shjnch;
}
