package com.brilliance.isc.bo;


import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Cpdret extends AbstractCommonVo {
    private String inr = NULLSTR;
    //新汇出汇款业务参号

    private String chownref = NULLSTR;
    //Object Type of Associated Contract Optional

    private String objtyp = NULLSTR;
    //Object INR of Associated Contract Optional

    private String objinr = NULLSTR;
    //部分退汇
    private String bfth = NULLSTR;
    // 关联业务编号
    private String objref = NULLSTR;
    // 前端业务编号
    private String iniref = NULLSTR;
    // 创建时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date credat = NULLDATE;
    // 退汇或止付原因

    private String rejcod = NULLSTR;
    // 详情(附言)
    private String remark = NULLSTR;
    // smhinr
    private String smhinr = NULLSTR;

    // 正确清分机构

    private String rightunit = NULLSTR;

    // 经办柜员

    private String iniusr = NULLSTR;


    private String clsm = NULLSTR;
}
