package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * @author : w42697
 * @version : 1.0
 * @ClassName : Lsblck
 * @description : 额度总额数据库逻辑锁表
 * @date : 2024-05-11 16:16:17
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Lsblck {

    private String inr = NULLSTR;

    private String lsntyp1 = NULLSTR; //额度主体类型1

    private String lsninr1 = NULLSTR; //额度主体类型1的相关表主键INR或代码

    private String lsntyp2 = NULLSTR; //额度主体类型2

    private String lsninr2 = NULLSTR; //额度主体类型2的相关表主键INR或代码

}
