package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
 * TABLE:swm:SWM - SWIFT Field Mapping
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
@Data
public class Swm {


    private String inr = NULLSTR;

    private String fmt = NULLSTR;

    //Message Type

    private String mt = NULLSTR;

    //Destination Transaction

    private String frm = NULLSTR;

    //Message Field TAG

    private String tag = NULLSTR;

    //Message TAG Sub ID

    private String subtag = NULLSTR;

    //Destination Field

    private String dst = NULLSTR;

    //Instruction

    private String ins = NULLSTR;

    //Additional Mapping Method

    private String met = NULLSTR;

    //Copy Flag Distance from Original Entry

    private String cpyflg = NULLSTR;

    //Overwrite Flag

    private String ovwflg = NULLSTR;

    //Destination Group

    private String dstgrp = NULLSTR;

    //Alternative Mapping

    private String altmapflg = NULLSTR;

    private Integer num;

    //合并标志
    private String jonflg = NULLSTR;


}