package com.brilliance.isc.bo.bopdecbo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

/**
 *TABLE:dbn:涉外汇款申报单-管理信息
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Dbn extends AbstractCommonVo {
    //internal unique id
    private String inr ;
    //'时申报流'号
    private String tmpref ;
    //initial entity code
    private String ownextkey ;
    //version
    private String ver ;
    //操作类型
    private String actiontype ;
    //修改/删除原因
    private String actiondesc ;
    //申报号码
    private String rptno ;
    //最迟装运日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date impdate;
    //合同号
    private String contrno ;
    //发票号
    private String invoino ;
    //外汇局批件/备案表号
    private String regno ;
    //报关单经营单位'码
    private String cusmno ;
    //报关单信息
    private String customs ;
    //填报人
    private String crtuser ;
    //填报人电话
    private String inptelc ;
    //申报日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date rptdate;
}
