package com.brilliance.isc.bo.model;

import java.util.*;
import java.math.BigDecimal;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;


/**
 *
 */

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ebbp{

    //操作类型
    private  String actiontype = NULLSTR;
    //删除原因
    private  String actiondesc = NULLSTR;
    //对外担保编号
    private  String exguarancode = NULLSTR;
    //担保责任余额变动日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private  Date wabachandate;
    //担保责任余额
    private  BigDecimal basere = Decimals.ZERO_SCALE2;
    //备注
    private  String remark = NULLSTR;
    //确认
    private  String acp = NULLSTR;
    //INFFLG
    private  String infflg = NULLSTR;
    //接口状态
    private  String sta = NULLSTR;
    //是否显示页面
    private  String invflg = NULLSTR;
    //ROW FLG
    private  int rowflg;
    //担保责任余额
    private  BigDecimal oldbasere = Decimals.ZERO_SCALE2;
    //生效的记录标志
    private  String priflg = NULLSTR;

//    @JsonIgnore
//    private transient IPanel dclpp;
//
//    @Module(getter = false, setter = false)
//    private transient ModuleHolder<Cutp> cutp;


}

