package com.brilliance.isc.mda.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.brilliance.isc.bo.Dhg;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface DhgMapper extends BaseMapper<Dhg> {

    /**
     * 通过账号查询数据
     */
    Dhg selectByZhangh(@Param("zhangh") String zhangh);

    /**
     * 根据账号更新信息
     */
    int updateByZhangh(Dhg dhg);
}
