package com.brilliance.isc.vo.lg;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class BusDetailRptVo {
    /**
     * inr
     */
    private String inr;
    /**
     * subinr
     */
    private String subinr;
    /**
     * pteinr
     */
    private String pteinr;
    /**
     * 机构号
     */
    private String branch;
    /**
     * 机构名称
     */
    private String bchName;
    /**
     * 交易时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date cpldattim;
    /**
     * 开立日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date opndat;
    /**
     * 最迟装运日
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date shpdat;
    /**
     * 到单日
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date rcvdat;
    /**
     * 到期日
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date matdat;
    /**
     * 承兑起始日
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date stadat;
    /**
     * 承兑日
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date comdat;
    /**
     * 信用证期限
     */
    private int tenmaxday;
    /**
     * 实际期限
     */
    private int realtenmaxday;
    /**
     * 通知行BIC
     */
    private String advExtkey;
    /**
     * 信用证号
     */
    private String pntref;
    /**
     * 交单行
     */
    private String prbExtkey;
    /**
     * 受益人名称
     */
    private String benName;
    /**
     * 外债远期信用证数据采集标志
     */
    private String cfabrtflg;
    /**
     * 不报送外债数据原因
     */
    private String cfabrttxt;
    /**
     * 交易代码
     */
    private String inifrm;
    /**
     * 业务编号
     */
    private String ownref;
    /**
     * 余额币别
     */
    private String cur;
    /**
     * 余额金额
     */
    private BigDecimal amt;
    /**
     * 余额金额
     */
    private BigDecimal liaAmt;
    /**
     * 经办人员
     */
    private String jibnam;
    /**
     * 复核人员
     */
    private String fuhnam;
    /**
     * 客户号
     */
    private String extkey;
    /**
     * 客户名称
     */
    private String  ptynam;
    /**
     * 是否已付款
     */
    private String isPay;
    /**
     * 付款交易
     */
    private int cntset;


}
