package com.brilliance.isc.vo.manager;

import com.brilliance.isc.bo.Bch;
import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class PtsSelVo extends BaseEntity {
    // pts表唯一索引inr
    private String ptsinr;
    // 业务编号
    private String ownref;
    // 关联的业务表名
    private String objtyp;
    // 关联的业务表主键INR
    private String objinr;
    // 当事人角色
    private String rol;
    // 关联的当事人信息表主键INR
    private String ptyinr;
    // pty表的extkey
    private String extkey;
    // 中文名称
    private String cnnam;
    // 中文地址
    private String cnadr;
    // 英文名称
    private String ennam;
    // 英文地址
    private String enadr;
    // 当事人地址
    private String adrblk;
    // 当前登录用户机构
    private String branch;
    // 机构列表
    private List<Bch> bchLst;
}
