package com.brilliance.isc.vo.remit;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Setter
@Getter
@JsonIgnoreProperties(ignoreUnknown = true)
public class CpdSwiftBizInfo {
    //swiadd
    //M9: BIC Issuing Bank
    private String m09issbic;
    //M10: Issuing Bank
    private String m10issadrblk;
    //M12: Opening date
    private String m12opndat;
    //M2: Advising Bank
    private String m02advadrblk;
    //M19: Advising date
    private String m19advdat;
    //Additional text field
    private String addtxtfld;
    //M1: BIC Advising Bank
    private String m01advbic;
    //Additional Amount Covered
    private String addamtcov;
    //M21: Modifaction date
    private String m21moddat;
    //Further Amendments
    private String ametxt;
    //Content of Tag 72
    private String contag72;

    //single 202 MT202 72域
    private String sin202;
    // MT103 70域
    private  String blkt70;
    //"202报文专用"
    private  String ownref;
    //清算费用锁定服务
    private String qsfysd;
    //服务提供银行
    private String fwtgyh;

}
