package com.brilliance.isc.esb.model;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 系统信息头
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SysHeader {
    /**
     * 数据包长度
     */
    public String SHJBCD;

    /**
     * 报文MAC
     */
    public String BAWMAC;

    /**
     * MAC机构号
     */
    public String MACJGH = "9270";

    /**
     * PIN密钥名称
     */
    public String PINKEY = "";

    /**
     * PIN种子
     */
    public String PINZHZ;

    /**
     * 渠道来源
     */
    public String CHNLNO = "270";

    /**
     * 渠道去向
     */
    public String CHNLTO = "810";

    /**
     * 加密标志
     */
    public String MACFLG = "1";

    /**
     * PIN标志
     */
    public String PINFLG = "0";

    /**
     * 组合标志
     */
    public String COMFLG = "0";

    /**
     * 主机服务名
     */
    public String ZUJFUW;

    /**
     * 信息结束标志
     */
    public String XXJSBZ;

    /**
     * 报文序号
     */
    public String SJBSXH;

    /**
     * 校验标志
     */
    public String JIOYBZ;

    /**
     * 密钥版本号
     */
    public String MIYBBH;

    /**
     * 系统标识符
     */
    public String QUDAOO = "270";

    /**
     * 密码偏移量
     */
    public String MIMPYL;

    /**
     * 帐号偏移量
     */
    public String ZHHPYL;
}
