package com.brilliance.isc.esb.model.ecif;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 0958 对公客户基本身份信息校验
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Req0958 {
    /**
     * 客户号[0,10]
     */
    public String Org_No;

    /**
     * 起始笔数[0,4]
     */
    public String Beg_Rec_No;

    /**
     * 查询笔数[0,4]
     */
    public String Rec_Size;

    /**
     * 备用字段1[0,30]
     */
    public String ATTRIBUTE1;

    /**
     * 备用字段2[0,30]
     */
    public String ATTRIBUTE2;

    public Req0958() {
    }

    public Req0958(String org_No, String beg_Rec_No, String rec_Size, String ATTRIBUTE1, String ATTRIBUTE2) {
        Org_No = org_No;
        Beg_Rec_No = beg_Rec_No;
        Rec_Size = rec_Size;
        this.ATTRIBUTE1 = ATTRIBUTE1;
        this.ATTRIBUTE2 = ATTRIBUTE2;
    }
}
