package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.List;

/**
 * 7759组合交易对内响应模型
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerCommpose7759Res {
    /**
     * 7759报文体
     */
    public InnerRes7759 o7759;
    /**
     * 5006报文体
     */
    public List<InnerRes5006> o5006;
    /**
     * 9007报文体
     */
    public InnerRes9007 o9007;

    public InnerCommpose7759Res() {
    }

    public InnerCommpose7759Res(InnerRes7759 o7759, List<InnerRes5006> o5006, InnerRes9007 o9007) {
        this.o7759 = o7759;
        this.o5006 = o5006;
        this.o9007 = o9007;
    }
}
