package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.LinkedList;
import java.util.List;

/**
 * 0904  ECIF系统客户信息列表查询响应
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes0904 {
    public int total;
    public List<Item0904> lst0904 = new LinkedList<>();

    public InnerRes0904() {
        super();
    }

    public InnerRes0904(int total, List<Item0904> lst0904) {
        this.total = total;
        this.lst0904 = lst0904;
    }

    @JsonInclude(JsonInclude.Include.NON_NULL)
    public static class Item0904 {
        /**
         * 客户号
         */
        public String tbxx01;
        /**
         * 客户类别
         */
        public String tbxx02;
        /**
         * 客户名称
         */
        public String tbxx03;
        /**
         * 英文名称
         */
        public String tbxx05;
        /**
         * 所属国家地区代码
         */
        public String tbxx08;
        /**
         * 组织机构代码
         */
        public String tbxx12;
        /**
         * 组织机构代码有效日期
         */
        public String tbxx13;
        /**
         * 营业执照号
         */
        public String tbxx14;
        /**
         * 外汇许可证号
         */
        public String tbxx28;
        /**
         * 企业外管代码
         */
        public String tbxx29;
        /**
         * 进出口经营权许可证书
         */
        public String tbxx33;
        /**
         * 是否自贸区客户
         */
        public String tbxx43;
        /**
         * 是否正式客户
         */
        public String tbxx47;
        /**
         * 所属地区代码
         */
        public String tbxx48;
        /**
         * 角色的ECIF客户号
         */
        public String tbxx73;
        /**
         * 是否为光大集团股东客户
         */
        public String tbxx77;
        /**
         * 是否为光大集团关联单位
         */
        public String tbxx78;
        /**
         * 客户状态
         */
        public String tbxx79;
        /**
         * 是否为NRA账户
         */
        public String tbxx97;
        /**
         * Swift编号
         */
        public String tbxx34;
        /**
         * 社会信用代码
         */
        public String tbxx126;
        /**
         * 金融机构类型
         */
        public String tbxx06;
    }
}
