package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * etrade_ge39   GE39-e结算-结付汇加锁、解锁对内响应
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerResEtradeGe39 {

    /**
     * 错误码[0,7]
     * 成功-0000000(代码中是00000)
     * 失败-9999999
     */
    public String errorcode;

    /**
     * 错误信息[0,200]
     */
    public String errormessage;

    /**
     *加解锁名称[0,20]
     */
    public String nam;

    /**
     * 预留字段1[0,100]
     */
    public String reservefield1;

    public InnerResEtradeGe39() {
    }

    public InnerResEtradeGe39(String errorcode, String errormessage, String nam, String reservefield1) {
        this.errorcode = errorcode;
        this.errormessage = errormessage;
        this.nam = nam;
        this.reservefield1 = reservefield1;
    }
}
