package com.brilliance.isc.esb.model.inner.ini;

/**
 * 6153及组合交易使用
 */
public class LOAN6153 {

    /**
     * 业务种类[0,1]
     */
    public String bustyp;

    /**
     * 借据号[0,17]
     */
    public String jiejuh;

    /**
     * 合同编号[0,16]
     */
    public String hetobh;

    /**
     * 客户号[0,10]
     */
    public String kehuha;

    /**
     * 客户中文名[0,100]
     */
    public String kehucn;

    /**
     * 货币代号[0,2]
     */
    public String huobdh;

    /**
     * 贷款类型[0,6]
     */
    public String debtyp;

    /**
     * 贷款类型名称[0,80]
     */
    public String dbtyna;

    /**
     * 准贷金额[15,2]
     */
    public String zdjine;

    /**
     * 保理融资种类[0,1]
     */
    public String blrzzl;

    /**
     * 计息周期[0,1]
     */
    public String jxzouq;

    /**
     * 固定周期[0,10]
     */
    public String gudizq;

    /**
     * 计息日期[0,2]
     */
    public String jixirq;

    /**
     * 利率调整方式[0,1]
     */
    public String lltzfs;

    /**
     * 利率调整周期[0,1]
     */
    public String lltzzq;

    /**
     * 利率调整月日数[0,4]
     */
    public String lltzyr;

    /**
     * 开户日期[0,8]
     */
    public String kihurq;

    /**
     * 到期日[0,8]
     */
    public String daoqir;

    /**
     * 宽限期[0,10]
     */
    public String kuxiqi;

    /**
     * 基准利率[9,7]
     */
    public String jzunll;

    /**
     * 执行利率[9,7]
     */
    public String zixill;

    /**
     * 浮动方式[0,1]
     */
    public String fudofs;

    /**
     * 浮动值[12,7]
     */
    public String fudonz;

    /**
     * 逾期计息方式[0,1]
     */
    public String yqjxfs;

    /**
     * 罚息比率[8,5]
     */
    public String faxibl;

    /**
     * 收息类型[0,1]
     */
    public String soxilx;

    /**
     * 计复息标志[0,1]
     */
    public String jfxibz;

    /**
     * 第一还款帐号[0,21]
     */
    public String dyhkzh;

    /**
     * 第二还款帐号[0,21]
     */
    public String dehkzh;

    /**
     * 第三方还款帐号[0,21]
     */
    public String dshkzh;

    /**
     * 第三方还款方式[0,1]
     */
    public String dshkfs;

    /**
     * 信贷柜员[0,22]
     */
    public String credgy;

    /**
     * 放贷部门[0,4]
     */
    public String fadibm;

    /**
     * 利率执行档次[0,3]
     */
    public String llzxdc;

    /**
     * 入帐机构[0,4]
     */
    public String ruzajg;

    /**
     * 操作标志[0,1]
     */
    public String caozbz;

    /**
     * 合同金额[15,2]
     */
    public String hetoje;

    /**
     * 利息付款帐号[0,21]
     */
    public String lxfkzh;

    /**
     * 到期主动扣收贷款[0,1]
     */
    public String wjdkfl;

    /**
     * 税率[9,7]
     */
    public String shuilv;

    /**
     * 分摊规则[0,1]
     */
    public String fentgz;

    /**
     * LPR期限品种[0,3]
     */
    public String shijcq;

    /**
     * 指定下次结息扣款日[0,8]
     */
    public String zhidrq;

    /**
     * 指定下次重定价生效日[0,8]
     */
    public String tiozrq;

    /**
     * 间隔月数[0,10]
     */
    public String zuicqs;
}
