package com.brilliance.isc.esb.model.netbank;

import com.brilliance.isc.esb.model.ErrorData;

/**
 * eg04 国结-优惠汇率查询对外响应对象
 */
public class ResEG04 extends ErrorData {

    /**
     * 交易结果[0,7]
     */
    public String JIAYJG;

    /**
     * 错误代码[0,7]
     */
    public String ERRORCODE;

    /**
     * 错误描述[0，200]
     */
    public String ERRORMESSAGE;

    /**
     * 币种[0,3]
     */
    public String CURRENCY;

    /**
     * 优惠方式[0,1]
     * 1-点数
     * 2-比例
     */
    public String YHFS;

    /**
     * 优惠点数/比例[0,12]
     */
    public String YHDSHBL;

    public ResEG04() {
    }

    public ResEG04(String JIAYJG, String ERRORCODE, String ERRORMESSAGE, String CURRENCY, String YHFS, String YHDSHBL) {
        this.JIAYJG = JIAYJG;
        this.ERRORCODE = ERRORCODE;
        this.ERRORMESSAGE = ERRORMESSAGE;
        this.CURRENCY = CURRENCY;
        this.YHFS = YHFS;
        this.YHDSHBL = YHDSHBL;
    }
}
