package com.brilliance.isc.esb.model.ph;

import com.brilliance.isc.esb.model.ErrorData;

/**
 * LCL2 云平台国内证来报同步响应对象
 */
public class ResLCL2 extends ErrorData {

    /**
     * 处理结果[0,7]
     */
    public String RESULT;
    /**
     * 处理描述[0,250]
     */
    public String RSTDSP;
    /**
     * 回执内容[0,61440]
     */
    public String RSTXML;
    /**
     * 备用字段[0,250]
     */
    public String REMARK;

    public ResLCL2() {
    }

    public ResLCL2(String RESULT, String RSTDSP, String RSTXML, String REMARK) {
        this.RESULT = RESULT;
        this.RSTDSP = RSTDSP;
        this.RSTXML = RSTXML;
        this.REMARK = REMARK;
    }
}
