package com.brilliance.isc.esb.model.whj.content.sinosure;


import com.brilliance.isc.esb.model.whj.content.UnCryptContent;
import lombok.Data;

import java.util.List;

/**
 * /v1/asset/bank-apply-update 信保融资申请信息修改接口
 *
 * */

@Data
public class BankApplyUpdateContent extends UnCryptContent {

    public String safeAssetId;

    public Long amount;

    public Long applyAmount;

    public String applyEntCode;

    public String policyNo;

    public String agreementNo;

    public String overseasPayEndDate;

    public String currency;

    public List<UpdateInvoice> invoices;


}
