package com.brilliance.isc.esb.model.whj.res.sinosure;

import lombok.Data;

import java.util.List;

@Data
public class FinapplyInfo {

    public String noticeserialno;         //中国信保通知序号（唯一）
    public String policyno;         //保险单号
    public String agreementno;         //融资协议编号
    public String buyerengname;         //买方英文名称
    public String buyerno;         //买方代码
    public String quotasum;         //信用限额（USD）
    public String quotapaymode;         //信用限额支付方式
    public String quotaindate;         //信用限额生效日期
    public String quotaremain;         //信用限额余额（USD）
    public String payratio;         //保险赔偿比例
    public String dollarsum;         //申报金额折美圆合计
    public String noticeid;         //承保情况通知书编号
    public String bankengname;         //融资银行英文名称
    public String bankchnname;         //融资银行中文名称
    public String bankno;         //融资银行swift编号
    public String financecorpno;         //金融机构号
    public String agreementtype;         //融资协议类型
    public String ameffectdate;         //协议生效日期
    public String amlapsedate;         //协议失效日期
    public String agreementstatus;         //协议状态
    public String creditno;         //被保险人统一社会信用代码
    public String companychnname;         //被保险人中文名称
    public String noticeflag;         //承保情况通知书状态
    public String remark;         //备注

    public List<Shipment> shipment;

    public FinapplyInfo() {
    }

    public FinapplyInfo(String noticeserialno, String policyno, String agreementno, String buyerengname, String buyerno, String quotasum, String quotapaymode, String quotaindate, String quotaremain, String payratio, String dollarsum, String noticeid, String bankengname, String bankchnname, String bankno, String financecorpno, String agreementtype, String ameffectdate, String amlapsedate, String agreementstatus, String creditno, String companychnname, String noticeflag, String remark, List<Shipment> shipment) {
        this.noticeserialno = noticeserialno;
        this.policyno = policyno;
        this.agreementno = agreementno;
        this.buyerengname = buyerengname;
        this.buyerno = buyerno;
        this.quotasum = quotasum;
        this.quotapaymode = quotapaymode;
        this.quotaindate = quotaindate;
        this.quotaremain = quotaremain;
        this.payratio = payratio;
        this.dollarsum = dollarsum;
        this.noticeid = noticeid;
        this.bankengname = bankengname;
        this.bankchnname = bankchnname;
        this.bankno = bankno;
        this.financecorpno = financecorpno;
        this.agreementtype = agreementtype;
        this.ameffectdate = ameffectdate;
        this.amlapsedate = amlapsedate;
        this.agreementstatus = agreementstatus;
        this.creditno = creditno;
        this.companychnname = companychnname;
        this.noticeflag = noticeflag;
        this.remark = remark;
        this.shipment = shipment;
    }
}
