package com.brilliance.isc.common.finmod.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class Finmod2571Request {

    //业务种类
    private String objtyp;

    //融资类型
    private String fintyp;

    //融资币种
    private String cur;

    //融资开始日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date opndat;

    //融资结束日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date matdat;

    //利率调整方式
    private String ratchgtyp;

    //利率调整周期
    private String ratchgprd;

    //LPC利率规则
    private String lpctyp;

    //基准利率规则
    private String jzllgz;
}
