package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * TABLE:blkmsg:
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Blkmsg {

    private String id  = NULLSTR;
    private String inr  = NULLSTR;
    private String chahgt  = NULLSTR;
    private String dir  = NULLSTR;
    private String msgid  = NULLSTR;
    private String msgtyp  = NULLSTR;
    private String sndkey = NULLSTR;
    private String rcvkey  = NULLSTR;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private String credat = NULLSTR;
    private String etyextkey = NULLSTR;
    private String chkflg = NULLSTR;
    private String msgin  = NULLSTR;
}
