package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Cnn  {
    //主键
    private String inr = NULLSTR;

    //CND表INR
    private String cndinr = NULLSTR;

    //关联业务委托日期
    private String lindat = NULLSTR;

    //?'?用编码
    private String feecod = NULLSTR;

    //发报行的收 ?'?
    private BigDecimal feesen = BigDecimal.ZERO;

    //收报行的收?'?
    private BigDecimal feecom = BigDecimal.ZERO;

    //跨境业务附言
    private String commet = NULLSTR;

    //收款人名称2
    private String skrmc2 = NULLSTR;

    //收款人名称3
    private String skrmc3 = NULLSTR;

    //收款人地址2
    private String skrdz2 = NULLSTR;

    //收款人地址3
    private String skrdz3 = NULLSTR;

    //收款人地址4
    private String skrdz4 = NULLSTR;

    //收款人地址5
    private String skrdz5 = NULLSTR;

    //收款人?'?户2
    private String skrzh2 = NULLSTR;

    //付款人名称2
    private String fkrmc2 = NULLSTR;

    //付款人名称3
    private String fkrmc3 = NULLSTR;

    //付款人地址2
    private String fkrdz2 = NULLSTR;

    //付款人地址3
    private String fkrdz3 = NULLSTR;

    //付款人地址4
    private String fkrdz4 = NULLSTR;

    //付款人地址5
    private String fkrdz5 = NULLSTR;

    //付款人?'?户2
    private String fkrzh2 = NULLSTR;

    //中介机构名称2
    private String agname2 = NULLSTR;

    //中介机构号
    private String agency2 = NULLSTR;

    //收款人地址6
    private String skrdz6 = NULLSTR;

    //收款人地址7
    private String skrdz7 = NULLSTR;

    //付款人地址6
    private String fkrdz6 = NULLSTR;

    //付款人地址7
    private String fkrdz7 = NULLSTR;

    //附言2
    private String comme2 = NULLSTR;

    //附言3
    private String comme3 = NULLSTR;

    //附言4
    private String comme4 = NULLSTR;

    //COV币种符号
    private String cysbzh = NULLSTR;

    //COV金额
    private BigDecimal cyshje = BigDecimal.ZERO;

    //COV付款人开户行行号
    private String cfkkhh = NULLSTR;

    //COV付款人开户行名称
    private String cfkkhm = NULLSTR;

    //COV付款人?'?号
    private String cfkrzh = NULLSTR;

    //COV付款人名称
    private String cfkrmc = NULLSTR;

    //COV付款人地址1
    private String cfkdz1 = NULLSTR;

    //COV付款人地址2
    private String cfkdz2 = NULLSTR;

    //COV付款人地址3
    private String cfkdz3 = NULLSTR;

    //COV付款人地址4
    private String cfkdz4 = NULLSTR;

    //COV付款人地址5
    private String cfkdz5 = NULLSTR;

    //COV付款人地址6
    private String cfkdz6 = NULLSTR;

    //COV付款人地址7
    private String cfkdz7 = NULLSTR;

    //COV收款行行号
    private String cskkhh = NULLSTR;

    //COV收款行名称
    private String cskkhm = NULLSTR;

    //COV收款人?'?号
    private String cskrzh = NULLSTR;

    //COV收款人名称
    private String cskrmc = NULLSTR;

    //COV收款人地址1
    private String cskdz1 = NULLSTR;

    //COV收款人地址2
    private String cskdz2 = NULLSTR;

    //COV收款人地址3
    private String cskdz3 = NULLSTR;

    //COV收款人地址4
    private String cskdz4 = NULLSTR;

    //COV收款人地址5
    private String cskdz5 = NULLSTR;

    //COV收款人地址6
    private String cskdz6 = NULLSTR;

    //COV收款人地址7
    private String cskdz7 = NULLSTR;

    //COV中介机构1
    private String czjjg1 = NULLSTR;

    //COV中介机构1名称
    private String czj1mc = NULLSTR;

    //COV附言1
    private String covfuy = NULLSTR;

    //COV附言2
    private String covfy2 = NULLSTR;

    //COV附言3
    private String covfy3 = NULLSTR;

    //COV附言4
    private String covfy4 = NULLSTR;

    //付?'?行号1
    private String fufeih = NULLSTR;

    //?'?用1
    private BigDecimal feiyon = BigDecimal.ZERO;

    //?'?用2
    private BigDecimal feiyn2 = BigDecimal.ZERO;

    //付?'?行号2
    private String ffeih2 = NULLSTR;

    //付款行行号
    private String fkhkhh = NULLSTR;

    //付款行名称
    private String fkkhmc = NULLSTR;

    //付款行地址
    private String fkhdzh = NULLSTR;

    //付款行?'?号
    private String fkkhzh = NULLSTR;

    //收款行行号
    private String skkhhh = NULLSTR;

    //收款行名称
    private String skkhhm = NULLSTR;

    //收款行地址
    private String skkhdz = NULLSTR;

    //收款行?'?号
    private String skkhzh = NULLSTR;

    //原交易参考号
    private String xgckho = NULLSTR;

    //付款人开户行行号
    private String fkrkhh = NULLSTR;

    //付款人开户行名称
    private String fukrhm = NULLSTR;

    //?'收款人银行附言1
    private String fuyns1 = NULLSTR;

    //?'收款人银行附言2
    private String fuyns2 = NULLSTR;

    //?'收款人银行附言3
    private String fuyns3 = NULLSTR;

    //?'收款人银行附言4
    private String fuyns4 = NULLSTR;

    //付款人组织机构代码
    private String fkrzhj = NULLSTR;

    //付款人证件类型
    private String fkrzjl = NULLSTR;

    //付款人证件号码
    private String fkrzjh = NULLSTR;

    //付款人常驻国家（地区）代码
    private String fkrzgj = NULLSTR;

    //付款人EID
    private String fkreid = NULLSTR;

    //付款非银行支付机构帐号
    private String fkfyzh = NULLSTR;

    //付款非银行支付机构地址1
    private String fkfdz1 = NULLSTR;

    //付款非银行支付机构地址2
    private String fkfdz2 = NULLSTR;

    //付款非银行支付机构地址3
    private String fkfdz3 = NULLSTR;

    //付款非银行支付机构地址4
    private String fkfdz4 = NULLSTR;

    //付款非银行支付机构地址5
    private String fkfdz5 = NULLSTR;
    
    //付款非银行支付机构地址6
    private String fkfdz6 = NULLSTR;

    //付款非银行支付机构地址7
    private String fkfdz7 = NULLSTR;

    //收款人组织机构代码
    private String skrzhj = NULLSTR;

    //收款人证件类型
    
    private String skrzjl = NULLSTR;

    //收款人证件号码
    
    private String skrzjh = NULLSTR;

    //收款人常驻国家（地区）代码
    
    private String skrzgj = NULLSTR;

    //收款人EID
   
    private String skreid = NULLSTR;

    //收款非银行支付机构帐号
    
    private String skfyzh = NULLSTR;

    //收款非银行支付机构地址1
    
    private String skfdz1 = NULLSTR;

    //收款非银行支付机构地址2
    
    private String skfdz2 = NULLSTR;

    //收款非银行支付机构地址3
    
    private String skfdz3 = NULLSTR;

    //收款非银行支付机构地址4
    
    private String skfdz4 = NULLSTR;

    //收款非银行支付机构地址5
    
    private String skfdz5 = NULLSTR;

    //收款非银行支付机构地址6
    
    private String skfdz6 = NULLSTR;

    //收款非银行支付机构地址7
    
    private String skfdz7 = NULLSTR;

    //订单描述1
    
    private String ddmsu1 = NULLSTR;

    //订单描述2
    
    private String ddmsu2 = NULLSTR;

    //订单描述3
    
    private String ddmsu3 = NULLSTR;

    //订单描述4
    
    private String ddmsu4 = NULLSTR;

    //订单描述5
    
    private String ddmsu5 = NULLSTR;

    //订单描述6
    
    private String ddmsu6 = NULLSTR;

    //订单描述7
    
    private String ddmsu7 = NULLSTR;

    //订单描述8
    
    private String ddmsu8 = NULLSTR;

    //订单编号
    
    private String ddbhao = NULLSTR;

    //COV付款非银行支付机构帐号
    
    private String cfkfzh = NULLSTR;

    //COV付款非银行支付机构地址1
    
    private String cffdz1 = NULLSTR;

    //COV付款非银行支付机构地址2
    
    private String cffdz2 = NULLSTR;

    //COV付款非银行支付机构地址3
    
    private String cffdz3 = NULLSTR;

    //COV付款非银行支付机构地址4
    
    private String cffdz4 = NULLSTR;

    //COV付款非银行支付机构地址5
    
    private String cffdz5 = NULLSTR;

    //COV付款非银行支付机构地址6
    
    private String cffdz6 = NULLSTR;

    //COV付款非银行支付机构地址7
    
    private String cffdz7 = NULLSTR;

    //COV付款人组织机构代码
    
    private String cfkrzj = NULLSTR;

    //COV付款人证件类型
    
    private String cfkzjl = NULLSTR;

    //COV付款人证件号码
    
    private String cfkzjh = NULLSTR;

    //COV付款人常驻国家（地区）代码
    
    private String cfkrgj = NULLSTR;

    //COV付款人EID
   
    private String cfkeid = NULLSTR;

    //COV收款非银行支付机构帐号
    
    private String cskfzh = NULLSTR;

    //COV收款非银行支付机构地址1
    
    private String csfdz1 = NULLSTR;

    //COV收款非银行支付机构地址2
    
    private String csfdz2 = NULLSTR;

    //COV收款非银行支付机构地址3
    
    private String csfdz3 = NULLSTR;

    //COV收款非银行支付机构地址4
    
    private String csfdz4 = NULLSTR;

    //COV收款非银行支付机构地址5
    
    private String csfdz5 = NULLSTR;

    //COV收款非银行支付机构地址6
    
    private String csfdz6 = NULLSTR;

    //COV收款非银行支付机构地址7
    
    private String csfdz7 = NULLSTR;

    //COV收款人组织机构代码
    
    private String cskrzj = NULLSTR;

    //COV收款人证件类型
    
    private String cskzjl = NULLSTR;

    //COV收款人证件号码
    
    private String cskzjh = NULLSTR;

    //COV收款人常驻国家（地区）代码
    
    private String cskrgj = NULLSTR;

    //COV收款人EID
   
    private String cskeid = NULLSTR;

    //订单描述
    
    private String ddmisu = NULLSTR;

    //明细业务总笔数
    private long mxywbs;

    //明细业务总金额
    private long mxywje;

    //发起?'接参与者行号
    
    private String fqzyhh = NULLSTR;

    //接收?'接参与者行号
    
    private String jszyhh = NULLSTR;

    //明细业务标识号
    
    private String mxywsh = NULLSTR;
}
