package com.brilliance.isc.vo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.bo.Invuse;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class InvuseResponeVo extends Invuse {
    private String yewulx;

    private String bchname;

    private String monstatus;

    private String riskdescription;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:sss", timezone = "GMT+8")
    private Date riskcreationtime;

    //发票监控状态变化时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date monstatustime;

    //销方名称
    private String salesname;

    //购买方名称
    private String purchasername;

    //检核次数
    private String checktotal;

    //购买方税号
    private String purchasertaxno;

    //销方税号
    private String salestaxno;

    //合计金额
    private BigDecimal totalamount = Decimals.ZERO_SCALE3;

    //备注
    private String remarks;

    //本机构检核次数
    private String checkown;

    //监控次数
    private String monitortoal;

    //本机构监控次数
    private String monitorown;
}
