package com.brilliance.isc.vo.bop;


import com.brilliance.isc.bo.Bch;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.util.Date;
import java.util.List;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;

@JsonInclude(JsonInclude.Include.NON_NULL)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class RmbInfoVo {

    //查询条件

    /**
     * 机构编号
     */
    private String bchinr;
    /**
     * 机构编码
     */
    private String branch;

    /**
     * 机构集合
     */
    private List<Bch> bchLst;

    /**
     * 每页大小
     */
    private Integer pageSize;
    /**
     * 当前页数
     */
    private Integer pageNum;

    /**
     * 申报类型
     */
    private String rmbtyp;

    /**
     * 业务编号
     */
    private String banktrano;

    /**
     * 业务所属行
     */
    private String ownextkey;

    /**
     * 业务状态
     */
    private String decsta;

    /**
     * 业务主键
     */
    private String levyno;

    /**
     * 起始日
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date frmdat  = NULLDATE;

    /**
     * 截止日
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date tildat = NULLDATE;
}
