package com.brilliance.isc.vo.lc;

import com.brilliance.isc.bo.Lid;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class LidWithPtsCbbResponseVo extends Lid {

    /**
     * 币种
     */
    private String cur;
    /**
     * 折算币种
     */
    private String xrfcur;

    /**
     * 开立金额
     */
    private BigDecimal amt;

    /**
     * 折算开立金额
     */
    private BigDecimal xrfamt;
    /**
     * 余额币种
     */
    private String opncur;
    /**
     * 折算余额币种
     */
    private String opnxrfcur;


    /**
     * 余额
     */
    private BigDecimal opnamt;


    /**
     * 折算余额
     */
    private BigDecimal opnxrfamt;

    /**
     * 客户号
     */
    private String aplExtkey;

    /**
     * 客户名称
     */
    private String aplName;
    /**
     * 受益人编号
     */
    private String benExtkey;

    /**
     * 受益人名称
     */
    private String benName;

    /**
     * 受益人名称
     */
    private String benRef;
    /**
     * 通知行BIC
     */
    private String advExtkey;

    /**
     * 通知行名称
     */
    private String advName;
    /**
     * 单据处理行
     */
    private String avbExtkey;

    /**
     * 给单据处理行的信息
     */
    private String avbwthtxt;

    /**
     * 单据处理行名称
     */
    private String avbName;
    /**
     * 分行名称
     */
    private String bchName;
    /**
     * 柜员名称
     */
    private String usrNam;

    /**
     * 收费状态
     */
    private String isFee;
    /**
     * fep.inr
     */
    private String fepinr;
    /**
     * 开证费
     */
    private BigDecimal issAmt;
    /**
     * 电报费
     */
    private BigDecimal telAmt;
    /**
     * 金额折人民币
     */
    private  BigDecimal maxrmbAmt;
    /**
     * 金额折美元
     */
    private  BigDecimal maxusdAmt;
    /**
     * 余额人民币
     */
    private  BigDecimal opnrmbAmt;
    /**
     * 余额折美元
     */
    private  BigDecimal opnusdAmt;
    /**
     * 信用证未使用金额
     */
    private BigDecimal unUseAmt;
    /**
     *承兑到期日
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date udpdat;
}

