package com.brilliance.isc.vo.lg;

import com.brilliance.isc.common.vo.BizInfoVo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class FcdBizInfoVo extends BizInfoVo {

    private Date credat = NULLDATE;
    private Date opndat = NULLDATE;
    private Date clsdat = NULLDATE;
    private String aplptyinr;
    private String aplptainr;
    private Date cnvdat = NULLDATE;
    private String acccur;
    private String extact;
    private String engact;
    private String cur;
    private BigDecimal amt;
    private String relflg;
    private String useflg;
    private String reason;
    private String gleflg;
    private String fcdtyp;
    private String trmtyp;
    //        private Builder build;
    private String objinr;
    private String objtyp;
    private String ownref;
    private String branchInr;

    private String cashacc;
    private String cashcur;
    private BigDecimal cashamt;
}
