package com.brilliance.isc.vo.lg;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.json.BigDecimalSerialize;
import com.brilliance.isc.common.vo.BizAmdInfoVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class GidBizAmdInfoVo extends BizAmdInfoVo {

    // GITAMEP\secuilflg
    private  String ameaccflg;

    // GITAMEP\secuilflg
    private  String ramrol;

    // GITAMEP\secuilflg
    private String prtflg;

    // GITAMEP\cre767flg
    private String cre767flg;

    private String amemsgdonflg;

    private String purposame;

    private String clsclmflg;
    //cfa--
    private Date chgdat;
    private BigDecimal chgamt = Decimals.ZERO_SCALE2;
    private String gcdownref;
    @JsonSerialize(using = BigDecimalSerialize.class)
    private  BigDecimal addameamt = Decimals.ZERO_SCALE2;
    @JsonSerialize(using = BigDecimalSerialize.class)
    private  BigDecimal addamt = Decimals.ZERO_SCALE2;
    //cfa--

    //修改前保函到期日
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date oldExpDat;

    private  String newexptyp = NULLSTR;
    private  String newliatyp = NULLSTR;
    private  Date newliadat = NULLDATE;
    private  String newliaflg = NULLSTR;
}
