package com.brilliance.isc.vo.manager;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class UserDetails {

    private Integer id;

    private String logName;

    private String name;

    @JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date birthday;

    private Integer city;

    private String confirmPass;

    private Date createTime;

    private String defaultEntity;

    private String email;

    private String entity;

    private Integer errornumber;

    private String faxaPhone;

    private String fixedPhone;

    private String lock;

    private String logPass;

    private String mobilePhone;

    private Integer nationality;

    private String postalcode;

    private Integer province;

    private Integer sex;

    private Integer state;

    private String street;

    private String workDept;

    private String workDeptName;

    private String workorg;

    private String workorgName;
    //新增扩展字段-- liuxinqi
    private String extfield1;

    private String extfield2;

    private String extfield3;

    private String extfield4;

    private String extfield5;

    @JsonIgnore
    private String salt;

    private String relgrp; // 授权权限

    private String relcur; // 授权币种

    private BigDecimal relamt; // 授权金额

    private String authlevel; // 授权档次

    private String authority; // GISP报文G转S权限

    private String oldMac; // 旧Mac值
}
