package com.brilliance.isc.esb.api.dbsync;

import com.brilliance.isc.esb.model.dbsync.DbSyncData;
import com.brilliance.isc.esb.model.dbsync.SyncResult;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * 数据库同步接口类-老国结调用新国结
 *
 
 */
//@RequestMapping("/SSTF")
public interface DbSyncServer {

    /**
     * 同步Bch表数据
     *
     * @param dbSyncData 入参
     * @return SyncResult 返回结果
     */
    @PostMapping("/newsstf/syncBch")
    SyncResult syncBch(DbSyncData dbSyncData);

    /**
     * 同步Pty，Pta，Adr表数据
     *
     * @param dbSyncData 入参
     * @return SyncResult 返回结果
     */
    @PostMapping("/newsstf/syncPtyPtaAdr")
    SyncResult syncPtyPtaAdr(DbSyncData dbSyncData);
}
