package com.brilliance.isc.esb.model.clm;

import com.brilliance.isc.esb.model.AbsReqNew;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.ArrayList;
import java.util.List;

/**
 * CL86 额度转授权信息变更请求对象
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ReqCL86 extends AbsReqNew {
    /**
     * 占用主体编号 [0,40]
     */
    public String ZYZTBH;

    public List<ItemFCL861> FCL861 = new ArrayList();

    public static class ItemFCL861 {
        /**
         * 是否转授权业务
         */
        public String SFZSQYW;

        /**
         * 转授权客户编号
         */
        public String ZSQKHBH;

        /**
         * 是否分公司业务
         */
        public String SFFGSYW;

        /**
         * 总公司客户编号
         */
        public String ZGSKHBH;

        /**
         * 占用角色 [0,1]
         */
        public String ZYJS;
    }


    public ReqCL86() {
    }

    public ReqCL86(String ZYZTBH, List<ItemFCL861> FCL861) {
        this.ZYZTBH = ZYZTBH;
        this.FCL861 = FCL861;
    }
}
