package com.brilliance.isc.esb.model.ebmp;

/**
 * SF03 g系统往报请求对象
 */
public class ReqSF03 {

    /**
     * 后台系统处理流水号 [0,20]
     */
    public String HTXTLS;

    /**
     * MT报文类型 [0,20]
     */
    public String BAOWLX;

    /**
     * 报文分类 [0,1]
     */
    public String BAOWFL;

    /**
     * 报文种类 [0,1]
     */
    public String BAOWZL;

    /**
     * 信息内容 [0,61440]
     */
    public String BAOWNR;

    /**
     * 报文接收机构 [0,35]
     */
    public String BWJSJG;

    /**
     * 报文传输方式 [0,8]
     */
    public String BWCSFS;

    /**
     * 备用字段2 [0,16]
     */
    public String BEYZD2;

    /**
     * 备用字段3 [0,32]
     */
    public String BEYZD3;

    /**
     * 备用字段4 [0,64]
     */
    public String BEYZD4;

    /**
     * 备用字段5 [0,128]
     */
    public String BEYZD5;

    public ReqSF03() {
    }

    public ReqSF03(String HTXTLS, String BAOWLX, String BAOWFL, String BAOWZL, String BAOWNR, String BWJSJG, String BWCSFS, String BEYZD2, String BEYZD3, String BEYZD4, String BEYZD5) {
        this.HTXTLS = HTXTLS;
        this.BAOWLX = BAOWLX;
        this.BAOWFL = BAOWFL;
        this.BAOWZL = BAOWZL;
        this.BAOWNR = BAOWNR;
        this.BWJSJG = BWJSJG;
        this.BWCSFS = BWCSFS;
        this.BEYZD2 = BEYZD2;
        this.BEYZD3 = BEYZD3;
        this.BEYZD4 = BEYZD4;
        this.BEYZD5 = BEYZD5;
    }
}
