package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerResCPC3 {

    public InnerResCPC3() {
    }

    public InnerResCPC3(String objectname, String xitnly, String xingma, String xiynrg, String xinysj, String shjurq, String dinjdm, String dinjls, String sxpfdm, String hetnho, String sxlexg, String snpizt, String ockhdm, String hxkhdm, String chpidm, String shpijg, String dakaje, String bizhog, String dakaqx, String qixndw, String dakaqr, String qakajr, String ndjgbs, String dinjlb, String sheplb, String cpc3lb, String shepdc, String shuilv, String shpjgh, String shpdch, String rmbsbs, String lprtyp) {
        this.objectname = objectname;
        this.xitnly = xitnly;
        this.xingma = xingma;
        this.xiynrg = xiynrg;
        this.xinysj = xinysj;
        this.shjurq = shjurq;
        this.dinjdm = dinjdm;
        this.dinjls = dinjls;
        this.sxpfdm = sxpfdm;
        this.hetnho = hetnho;
        this.sxlexg = sxlexg;
        this.snpizt = snpizt;
        this.ockhdm = ockhdm;
        this.hxkhdm = hxkhdm;
        this.chpidm = chpidm;
        this.shpijg = shpijg;
        this.dakaje = dakaje;
        this.bizhog = bizhog;
        this.dakaqx = dakaqx;
        this.qixndw = qixndw;
        this.dakaqr = dakaqr;
        this.qakajr = qakajr;
        this.ndjgbs = ndjgbs;
        this.dinjlb = dinjlb;
        this.sheplb = sheplb;
        this.cpc3lb = cpc3lb;
        this.shepdc = shepdc;
        this.shuilv = shuilv;
        this.shpjgh = shpjgh;
        this.shpdch = shpdch;
        this.rmbsbs = rmbsbs;
        this.lprtyp = lprtyp;
    }

    /**
     * 报文名
     */
    public String objectname;
    /**
     * 系统来源
     */
    public String xitnly;
    /**
     * 响应码
     */
    public String xingma;
    /**
     * 响应内容信息
     */
    public String xiynrg;
    /**
     * 响应处理时间
     */
    public String xinysj;
    /**
     * 数据日期
     */
    public String shjurq;
    /**
     * 定价审批代码
     */
    public String dinjdm;
    /**
     * 定价流水号
     */
    public String dinjls;
    /**
     * 授信批复代码
     */
    public String sxpfdm;
    /**
     * 合同号
     */
    public String hetnho;
    /**
     * 授信类型
     */
    public String sxlexg;
    /**
     * 审批状态
     */
    public String snpizt;
    /**
     * OC客户代码
     */
    public String ockhdm;
    /**
     * 核心客户代码
     */
    public String hxkhdm;
    /**
     * 产品代码
     */
    public String chpidm;
    /**
     * 审批价格(不含税)
     */
    public String shpijg;
    /**
     * 贷款金额
     */
    public String dakaje;
    /**
     * 币种
     */
    public String bizhog;
    /**
     * 贷款期限
     */
    public String dakaqx;
    /**
     * 期限单位
     */
    public String qixndw;
    /**
     * 贷款起始日
     */
    public String dakaqr;
    /**
     * 贷款结束日
     */
    public String qakajr;
    /**
     * 拟定价格标识
     */
    public String ndjgbs;
    /**
     * 定价Libor
     */
    public String dinjlb;
    /**
     * 审批Libor
     */
    public String sheplb;
    /**
     * CPC3最新Libor
     */
    public String cpc3lb;
    /**
     * 审批价格点差(不含税)
     */
    public String shepdc;
    /**
     * 增值税税率
     */
    public String shuilv;
    /**
     * 审批价格(含税)
     */
    public String shpjgh;
    /**
     * 审批价格点差(含税)
     */
    public String shpdch;
    /**
     * 人民币审批流程发起标识
     */
    public String rmbsbs;
    /**
     * 市场LPR期限品种
     */
    public String lprtyp;
}
