package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * GF03
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerResGF03 {

    /**
     * 成功标志
     */
    public String sucdflg;

    /**
     * 报文名
     */
    public String objectname;

    /**
     * 信封报文标识号，中台返回
     */
    public String xfbbsh;

    /**
     * 响应码
     */
    public String repcod;

    /**
     * 响应结果描述
     */
    public String rspmsg;

    public InnerResGF03() {
    }

    public InnerResGF03(String sucdflg, String objectname, String xfbbsh, String repcod, String rspmsg) {
        this.sucdflg = sucdflg;
        this.objectname = objectname;
        this.xfbbsh = xfbbsh;
        this.repcod = repcod;
        this.rspmsg = rspmsg;
    }
}
