package com.brilliance.isc.esb.model.whj.res.sinosure;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NoticeInvoices {

    public String policyNo;             //中信保保单号
    public String noticeId;             //承保情况通知书编号
    public String agreementNo;             //协议编号
    public int noticeFlag;             //承保情况通知书状态

    public List<InvoicesForNi> invoices;

    public NoticeInvoices() {
    }

    public NoticeInvoices(String policyNo, String noticeId, String agreementNo, int noticeFlag, List<InvoicesForNi> invoices) {
        this.policyNo = policyNo;
        this.noticeId = noticeId;
        this.agreementNo = agreementNo;
        this.noticeFlag = noticeFlag;
        this.invoices = invoices;
    }
}
